<%inherit file="../base.mako"/>
<%def name="title()">${_(u"View a Result")}</%def>

<%def name="result_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box_start" />
<%namespace file="../base.mako" import="box_end" />
<%namespace file="../base.mako" import="hcsid_link_to_hcsid" />
<%namespace file="../base.mako" import="hc_icon" />


${box_start(_(u"Single Finding Details - General"))}
 <table>
  <tr>
    <td>${_(u"URL")}</td>
    <td>${h.link_to(c.result.url, h.url_for(controller="url",action="view",id=c.result.url))}</td></tr>
  <tr>
    <td>${_(u"Time")}</td>
    <td>
    <%
      from time import ctime
      context.write(c.result.date.strftime("%d.%m.%Y - %H:%M:%S")+"Z")
    %>
    </td>
  </tr>
  <tr>
    <td>${_(u"HoneyClient")}</td>
    <td>
      ${hc_icon(c.hc.hcsid)}
      ${c.hc.name}
      ${hcsid_link_to_hcsid(c.hc.hcsid)}
    </td>
  </tr>
  <tr><td>${_(u"Type")}</td><td>${c.result.result_type.type_name}</td></tr>
  <tr><td>${_(u"Severity")}</td><td>${c.result.result_type.severity}</td></tr>
  <tr><td>${_(u"Method")}</td><td>${c.result.method}</td></tr>
  %if c.visit.outgoingIp:
   <tr><td>${_(u"Outgoing IP")}</td>${c.visit.outgoingIp}<td/></tr>
  %endif
 </table>
${box_end()}

${box_start(_(u"Result Details - General"))}
 <table>
  <tr><td>${_(u"Configuration")}</td>
    <td>{h.link_to(c.visit.scan_run.scanconfiguration.name, h.url_for(controller='hc',action='view',id=c.visit.scan_run.scanconfiguration.id))}</td></tr>
  <tr>
    <td valign="top">${_(u"Other Connections made")}</td>
    <td>
     %if len(c.visit.results):
     <ul>
      %for result in c.visit.results:
      <li>${result.url}</li>
      %endfor
     </ul>
     %else:
      ${_(u"None")}
     %endif
    </td>
  </tr>
  %if c.result.iframe:
   <tr><td>${_(u"IFrame")}</td><td>${c.result.iframe}</td></tr>
  %endif
 </table>
${box_end()}

${box_start(_(u"Actions"))}
 ${h.link_to(_(u"Download PCAP"),
    h.url_for(controller='result',action='send_dump', id=c.result.visit.id)) }
 ${h.link_to(_(u"Download Extracts"),
     h.url_for(controller='result',action='send_tarball',id=c.result.visit.id))}
${box_end()}

